<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="placeOfBirth" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['placeOfBirth'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['placeOfBirth'].errors !== null"
                     [mbErrors]="form.controls['placeOfBirth'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'selfService.label.placeOfBirth' | translate}}"
                     mbLabelText="{{'selfService.label.placeOfBirth' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="originalAddress" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['originalAddress'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['originalAddress'].errors !== null"
                     [mbErrors]="form.controls['originalAddress'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'selfService.label.countryside' | translate}}"
                     mbLabelText="{{'selfService.label.countryside' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <div class="title" style="font-family: avertaB, sans-serif; font-size: 18px">{{'selfService.label.household' | translate}}</div>
      <div nz-menu-divider></div>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="provinces" [mbIsLoading]="isLoadingProvinces" (mbEventEmit)="changeProvince($event, 'HK')"
                 mbPlaceholder="{{'selfService.label.province' | translate}}"
                 mbLabelText="{{'selfService.label.province' | translate}}"
                 formControlName="pernamentProvinceCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="districts" [mbIsLoading]="isLoadingDistricts" (mbEventEmit)="changeDistrict($event, 'HK')"
                 mbPlaceholder="{{'selfService.label.district' | translate}}"
                 mbLabelText="{{'selfService.label.district' | translate}}"
                 formControlName="pernamentDistrictCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="wards" [mbIsLoading]="isLoadingWards"
                 mbPlaceholder="{{'selfService.label.ward' | translate}}"
                 mbLabelText="{{'selfService.label.ward' | translate}}"
                 formControlName="pernamentWardCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="pernamentDetail" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['pernamentDetail'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['pernamentDetail'].errors !== null"
                     [mbErrors]="form.controls['pernamentDetail'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'selfService.label.contactDetail' | translate}}"
                     mbLabelText="{{'selfService.label.contactDetail' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <div class="title" style="font-family: avertaB, sans-serif; font-size: 18px">{{'selfService.label.currentResidence' | translate}}</div>
      <div nz-menu-divider></div>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="provinces" [mbIsLoading]="isLoadingProvincesCurrent" (mbEventEmit)="changeProvince($event, 'HT')"
                 mbPlaceholder="{{'selfService.label.province' | translate}}"
                 mbLabelText="{{'selfService.label.province' | translate}}"
                 formControlName="currentProvinceCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="districtsCurrent" [mbIsLoading]="isLoadingDistrictsCurrent" (mbEventEmit)="changeDistrict($event, 'HT')"
                 mbPlaceholder="{{'selfService.label.district' | translate}}"
                 mbLabelText="{{'selfService.label.district' | translate}}"
                 formControlName="currentDistrictCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="wardsCurrent" [mbIsLoading]="isLoadingWardsCurrent"
                 mbPlaceholder="{{'selfService.label.ward' | translate}}"
                 mbLabelText="{{'selfService.label.ward' | translate}}"
                 formControlName="currentWardCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="currentDetail" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['currentDetail'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['currentDetail'].errors !== null"
                     [mbErrors]="form.controls['currentDetail'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'selfService.label.contactDetail' | translate}}"
                     mbLabelText="{{'selfService.label.contactDetail' | translate}}"></mb-input-text>
    </div>
  </div>
</form>
